Bug 7370 - Longoverdue cronjob claims Undefined subroutine &main::LostItem
Summary: Longoverdue cronjob claims Undefined subroutine &main::LostItem
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Chris Cormack
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-19 18:03 UTC by Larry Baerveldt
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.26 KB, patch)
2011-12-21 18:57 UTC, Ian Walls
Details | Diff | Splinter Review
Bug 7370 : Missing use call (646 bytes, patch)
2011-12-21 19:27 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed off patch (707 bytes, patch)
2011-12-21 19:30 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Baerveldt 2011-12-19 18:03:54 UTC
Longoverdue cronjob generating an error, 'Undefined subroutine &main::LostItem called at /usr/share/koha/bin/cronjobs/longoverdue.pl line 157.'

Only generated when '--confirm' flag is used. 

Problem, and solution, probably similar to bug 4978.
Comment 1 Ian Walls 2011-12-21 18:57:31 UTC Comment hidden (obsolete)
Comment 2 Ian Walls 2011-12-21 18:58:02 UTC
Setting to critical, as this blocks anyone from using longoverdue.pl
Comment 3 Chris Cormack 2011-12-21 19:27:53 UTC Comment hidden (obsolete)
Comment 4 Ian Walls 2011-12-21 19:30:40 UTC
Created attachment 6907 [details] [review]
Signed off patch

Signed off patch
Comment 5 Ian Walls 2011-12-21 19:31:39 UTC
Exercising QAM rights, and signoff/QA'ing at once.
Comment 6 Paul Poulain 2011-12-27 17:23:28 UTC
patch pushed, please test